webgui (7.10.29-1) unstable; urgency=low

  * New upstream release.
  * control: add alternative Depends on mariadb-client, and Suggests
    on mariadb-server (Closes: #732913); Build-Depends on DH 9;
    drop Depends on libstring-random-perl; upgraded to Standards 3.9.6
    (no changes).
  * compat: update to DH9.
  * copyright: fix reference www/extras/ukplayer/swfobject.js
  * Fix a lintian override to actually work.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Fri, 21 Nov 2014 12:03:24 -0430

webgui (7.10.28-1) unstable; urgency=low

  * New upstream release.
  * control: put localization packages in proper Section; add Depends
    on libjs-swfobject to avoid installing bundled JS libraries; add
    new Depends on libstring-random-perl according to testEnvironment.pl;
    remove Depends on libclone-perl.
  * copyright: update some copyright dates.
  * rules, links: do not install bundled SWFObject JavaScript libraries,
    but link to files provided by libjs-swfobject instead.
  * README.Debian: remove superfluous suggestion to 'flush privileges'  
    as noted by Thomas Neumann <thomas.neumann@lixto.com>.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Fri, 22 Mar 2013 07:59:09 -0430

webgui (7.10.27-2) unstable; urgency=low

  * control: add Depends on libclone-perl because upstream's move
    to Storable's dclone() is not complete, and the workflow daemon
    still needs Clone.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Tue, 13 Nov 2012 08:42:20 -0430

webgui (7.10.27-1) unstable; urgency=low

  * New upstream release (Closes: #691087).
  * control: versioned Depends on libjs-yui to match upstream's requirement;
    drop Depends on libclone-perl since upstream switched to Storable's
    dclone() and Storable is core; upgraded to Standards 3.9.4 (no changes).
  * copyright: fix copyright dates for upstream's provided copies of
    YUI and TinyMCE, that are included with the tarball.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Fri, 02 Nov 2012 08:58:27 -0430

webgui (7.10.26-1) unstable; urgency=low

  * New upstream release.
  * control: versioned Depends on libbusiness-onlinepayment-authorizenet-perl
    as per gotcha.txt and testEnvironment.pl requirements; add Depends on
    libtest-tester-perl; updated Standards-Version; remove obsoleted
    Depends and versioned Depends as suggested by Gregor Herrmann.
  * copyright: change to released DEP-5 format; updated upstream and
    packaging copyright dates; add clarification received from VTV
    regarding usage of their RSS files.
  * Add lintian overrides to the language packs for the "no upstream
    changelog" warning, since upstream doesn't ship a changelog file
    but a changelog directory.
  * preload.perl: updated as shipped by upstream plus some cosmetic changes.
  * spectre.conf: updated as shipped by upstream plus some cosmetic changes.
  * webgui.conf: updated as shipped by uostream.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Thu, 18 Oct 2012 07:30:18 -0430

webgui (7.10.24-1) unstable; urgency=low

  * New upstream release.
  * Add provisions for CDN content queueing.
  * control: add alternate Depends on apache2-mpm-worker.
  * Change default webgui.conf and apache.config so the export
    HTML functionality works out of the box.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Tue, 17 Jan 2012 18:16:38 -0430

webgui (7.10.23-1) unstable; urgency=low

  * New upstream release.
  * Split in multiple binaries -- webgui holds the application an mandatory
    english localization, while webgui-l10-* will hold alternate languages.
  * quilt: updated patches on account of obsoleted files being removed and
    new files added.
  * control: added new Depends according to the gotcha.txt contents
    and the output of testEnvironment.pl; added new Suggests required
    for codebase testing; added stanzas for the spanish, german and dutch
    localization packages noting the Enhances for the binary, a Suggests
    for the corresponding aspell packages, proper Replaces and Breaks
    of older versions of the single binary, and Depends on webgui and
    $misc{Depends}; add new Depends on libjs-underscore for webgui.
  * webgui.conf: updated stanzas as per WebGUI.conf.original.
  * preload.perl: updated as shipped by upstream plus some cosmetic changes.
  * README.Debian: notes on automated testing requirements and assumptions.
  * copyright: updated copyright dates.
  * webgui.install: move preload.perl to /etc/webgui since it is a
    mod_perl startup script that will surely need local customizations.
  * webgui.links: use Debian's provided underscore JavaScript library instead
    of WebGUI's provided -- Debian's version is newer and compatible, but has
    a file renamed so symlinks are set up for the time being; symlink
    /etc/webgui/preload.perl from WebGUI's sbin location.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Tue, 13 Sep 2011 09:46:45 -0430

webgui (7.9.34-1) unstable; urgency=low

  * New upstream release.
  * Updated fix_webgui_root patch in order for wg-installClass to look
    for preload.custom in /etc/webgui.
  * Added a note in README.Debian explaining how to include locally
    added Assets using wg-installClass.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Tue, 16 Aug 2011 08:54:44 -0430

webgui (7.9.33-1) unstable; urgency=low

  * New upstream release.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Tue, 19 Jul 2011 17:53:54 -0430

webgui (7.9.32-1) unstable; urgency=low

  * New upstream release.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Wed, 06 Jul 2011 09:01:17 -0430

webgui (7.9.31-1) unstable; urgency=low

  * New upstream release.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Tue, 21 Jun 2011 17:06:37 -0430

webgui (7.9.30-1) unstable; urgency=low

  * New upstream release.
  * Added new dependency on libtest-mocktime-perl.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Tue, 07 Jun 2011 08:30:56 -0430

webgui (7.9.29-1) unstable; urgency=low

  * New upstream release.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Thu, 26 May 2011 12:38:58 -0430

webgui (7.9.28-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards version to 3.9.2.
  * Added fix_webuser to patch fileImport so it uses www-data as the
    default owner for files uploaded from the command line.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Tue, 10 May 2011 12:56:07 -0430

webgui (7.9.27-1) unstable; urgency=low

  * New upstream release.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Tue, 26 Apr 2011 12:39:32 -0430

webgui (7.9.26-1) unstable; urgency=low

  * New upstream release.
  * Added alternative dependencies on the newer libhtml-form-perl or
    older versions of libwww-perl (Closes: #620433).

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Wed, 13 Apr 2011 09:02:05 -0430

webgui (7.9.25-1) unstable; urgency=low

  * New upstream release.
  * Fixed version numbers on the versioned Depends for
    lib{css|javascript}-packer-perl.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Thu, 31 Mar 2011 08:31:31 -0430

webgui (7.9.24-1) unstable; urgency=low

  * New upstream release.
  * Updated fix_webgui_root patch in order for installClass to look
    for configuration files in the right places.
  * control: added new versioned Depends according to the gotcha.txt
    contents and the output of testEnvironment.pl.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Tue, 15 Mar 2011 08:20:59 -0430

webgui (7.9.21-1) unstable; urgency=low

  * New upstream release.
  * control: added new Depends according to the gotcha.txt contents
    and the output of testEnvironment.pl.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Tue, 01 Feb 2011 08:49:20 -0430

webgui (7.9.20-1) unstable; urgency=low

  * New upstream release.
  * Provide a sample maintenance page and make sure the command-line
    utility to toggle it works (wg-maintenanceMode) by patching the
    Apache Handler to look for the page in the proper place. Upstream
    is working to make the location of the HTML page a configurable
    parameter, so the patch has been added in the meantime.
  * README.Debian: update to describe maintenance mode usage.
  * compat: update to DH8.
  * rules: switched to a minimal style DH8 rules.
  * clean: added *.1 to replace manual deletion.
  * control: update Build-Depends for DH8; fix Vcs-Svn to refer to
    trunk so debcheckout works (suggested by Ansgar Burchardt).
  * Add package name as prefix for pre*, post* and dir helper files.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Tue, 18 Jan 2011 16:50:54 -0430

webgui (7.9.18-1) unstable; urgency=low

  * New upstream release.
  * quilt: updated patches on account of obsoleted files being removed;
    improve patch for testCodebase.pl by adding an extra -I flag.
  * control: added new Depends according to the gotcha.txt contents
    and the output of testEnvironment.pl; added new Suggests required
    for codebase testing; make mysql-server a Suggests instead of a
    Recommends; add Vcs-Svn and Vcs-Browser fields; remove duplicated
    entry in Suggests; simplify several versioned dependencies since
    now we only need to cater for Perl 5.10.0 onwards; fix several
    version numbers that were missing trailing zeroes.
  * webgui.conf: added a new stanza taken from WebGUI.conf.original.
  * preload.perl: fixed hardcoded paths and applied cosmetic changes.
  * copyright: update formatting; remove references to obsolete files
    that have been removed; added licensing information for
    www/extras/underscore/*; added licensing information for some test
    cases that are taken from wikipedia.
  * webgui.manpages: added missing reference to fixWgaccess.
  * postrm: removal of /var/lib/webgui contents should happen on purge;
    make sure /var/cache/webgui contents get removed on purge; make sure
    removal never fails if /var/lib/webgui, /var/log/webgui or
    /var/cache/webgui cannot be fully removed because of filesystem
    layout (Closes: #593885).
  * README.Debian: update to describe latest functionality of the
    startup page; mention WebGUI's translation server and how to install
    additional translations; mention that upgrades take database backups
    to /var/backups; mention additional packages needed to run the
    codebase testing routines; mention WEBGUI_LIVE to enable additional
    tests over a live installation.
  * dirs, preinst, postinst, webgui.conf: Move WebGUI's file cache
    location to /var/cache for FHS compliance (Closes: #593698); make
    sure old cache location gets removed on upgrade.
  * rules, webgui.install: stop copying files manually in place since
    there are no more dashes as filename prefixes.
  * Upstream does not ship a single changelog, but a changelog
    directory instead, so a lintian override has been added.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Thu, 18 Nov 2010 19:13:19 -0430

webgui (7.8.24-1) unstable; urgency=low

  * New upstream release.
  * Upstream removed www/extras/yui/examples (the redistribution of
    YUI's examples included with WebGUI's source). This includes,
    among others, the treeview widget that had a json.js file
    with a non-free license (Closes: 585471).
  * Updated patches to handle the new findBrokenAssets utility script.
  * webgui.manpages: install findBrokenAssets manpage.
  * README.Debian: mention findBrokenAssets utility script.
  * webgui.conf: added the new spamStopWords configuration stanza,
    and fixed the comment above siteIndex stanza.
  * webgui.conf-standalone: make it match webgui.conf except for the
    gateway configuration stanza.
  * control: update to Standards Version 3.9.1.
  * copyright: link to proper GPL-1 license file.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Thu, 05 Aug 2010 09:22:10 -0430

webgui (7.8.23-1) unstable; urgency=low

  * New upstream release.
  * Removed all references to quilt.
  * rules: Use dh_prep instead of dh_clean -k for install target.
  * control: corrected versioned B-D for debhelper.
  * copyright: remove reference to deprecated BSD license text file,
    and replaced it with the appropriate excerpt.
  * webgui.conf: sample PassThru handlers for server-status and
    perl-status had a too stringent regexp with an end-of-line
    anchor, preventing the use of GET query strings; remove
    a harmless easter-egg PassThru URL.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Thu, 08 Jul 2010 10:30:02 -0430

webgui (7.8.21-1) unstable; urgency=low

  * New upstream release.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Wed, 09 Jun 2010 16:57:30 -0430

webgui (7.8.20-1) unstable; urgency=low

  * New upstream release.
  * Updated sample configuration file to account for a renamed macro.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Wed, 26 May 2010 17:58:54 -0430

webgui (7.8.19-1) unstable; urgency=low

  * New upstream release.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Wed, 12 May 2010 09:49:22 -0430

webgui (7.8.18-1) unstable; urgency=low

  * New upstream release.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Wed, 28 Apr 2010 16:53:50 -0430

webgui (7.8.17-1) unstable; urgency=low

  * New upstream release.
  * Recommend libapache-dbi-perl for database connection pooling,
    adding an explanation in README.Debian on how to enable it and
    when to use it.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Wed, 14 Apr 2010 14:27:17 -0430

webgui (7.8.16-1) unstable; urgency=low

  * New upstream release.
  * Added source/format file.
  * Removed libnet-subnets-perl from Depends since it's been
    officially deprecated upstream in favor of libnet-cidr-lite-perl.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Thu, 01 Apr 2010 14:55:23 -0430

webgui (7.8.15-1) unstable; urgency=low

  * New upstream release.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Wed, 17 Mar 2010 08:24:05 -0430

webgui (7.8.14-1) unstable; urgency=low

  * New upstream release.
  * control: updated versioned dependencies according to WebGUI's
    latest requirements. Changed several versioned dependencies to
    plain dependencies, since there are no prior versions in the
    archive.
  * quilt: Refreshed patches on account of obsoleted files being removed.
  * copyright: added DEP5-style headers. Removed references to obsolete
    files, added and updated copyright dates. Removed redundant
    "copyright" tags after Copyright: headers. 
  * Updated sample configuration file to include newer functionality.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Sat, 13 Mar 2010 20:44:01 -0430

webgui (7.7.33-1) unstable; urgency=low

  * New upstream release.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Fri, 26 Feb 2010 10:22:51 -0430

webgui (7.7.32-1) unstable; urgency=low

  * New upstream release.
  * Updated webgui.conf and webgui.conf-standalone with new hidden page
    indexing configuration for the Google Site Map generator.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Wed, 10 Feb 2010 07:34:31 -0430

webgui (7.7.31-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards-Version.
  * Added new dependency on libdatetime-format-http-perl.
  * Added copyright notice for a JavaScript fragment provided as
    collateral for testing purposes.
  * The JavaScript fragment is named jquery.js, however it is not
    the same as the JQuery JavaScript library included with Debian,
    so a lintian override has been added.
  * Package now needs dh_lintian, so added a versioned Build Depends
    on debhelper 6.0.7.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Tue, 02 Feb 2010 11:45:47 -0430

webgui (7.7.30-1) unstable; urgency=low

  * New upstream release.
  * Updated copyright dates for Debian Packaging.
  * Added missing ${misc:Depends} to Depends.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Wed, 13 Jan 2010 18:17:37 -0430

webgui (7.7.29-1) unstable; urgency=low

  * New upstream release.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Wed, 23 Dec 2009 10:55:32 -0430

webgui (7.7.28-1) unstable; urgency=low

  * New upstream release.
  * Added versioned Dependency on libtest-simple-perl, also satisfiabe
    with perl itself, in order to have the required Test::More version
    needed for the automated code base testing utility.
  * Changed versioned dependencies on perl-modules for versioned
    dependencies on perl instead.
  * Properly place the supplied sample .perltidyrc as an example
    and add a note in README.Debian. Added a Suggests on perltidy.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Wed, 09 Dec 2009 07:16:17 -0430

webgui (7.7.27-1) unstable; urgency=low

  * New upstream release.
  * Updated versioned Depends on libwww-perl as required by gotchas.txt.
  * Added a preferred alternative Depends on libnet-cidr-lite-perl 
    instead of libnet-subnets-perl, since the latter has been removed
    from CPAN and will be removed from the archive soon. Upstream
    switched to using either of them, favoring Net::CIDR::Lite, but
    will deprecate Net::Subnets from WebGUI 7.8 onwards.
  * Make sure postinst restarts Apache before and after the automatic
    upgrade. The restart is needed before so that the newer WebGUI
    modules are available for the upgrade. The restart is needed after
    just in case cacheing settings, database settings or handler
    modules have changed during the upgrade.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Wed, 25 Nov 2009 07:43:33 -0430

webgui (7.7.26-1) unstable; urgency=low

  * New upstream release

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Wed, 11 Nov 2009 07:15:05 -0430

webgui (7.7.25-1) unstable; urgency=low

  * New upstream release.
  * Enable /usr/local/share/webgui/lib as default directory
    for locally customized WebGUI Macros, Assets or general modules.
    Add a note in README.Debian explaining its use. Added the
    relevant creation commands to postinst and a new prerm to
    remove the directories if they are empty.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Mon, 09 Nov 2009 19:38:27 -0430

webgui (7.7.24-1) unstable; urgency=low

  * New upstream release.
    Upstream fixed a serious upgrade bug that was breaking upgrades
    from 7.6.35 on to 7.7.17 and subsequent versions.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Fri, 30 Oct 2009 09:09:07 -0430

webgui (7.7.23-1) unstable; urgency=low

  * New upstream release.
  * Added missing Dependencies on libcss-minifier-xs-perl and
    libjavascript-minifier-xs-perl (Closes: 552062, 552063)
  * Make sure logrotate rotates any .log file in /var/log/webgui instead
    of simply rotating webgui.log. This allows having several WebGUI
    instances each one having a different logfile.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Wed, 28 Oct 2009 07:18:14 -0430

webgui (7.7.22-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards-Version.
  * Added a versioned Depends on libxml-feedpp-perl. Versions older than
    0.37 trigger an UTF-8 bug in Syndicated Contents.
  * Added a versioned Depends on libclone-perl. Versions older than
    0.31 trigger a bug in workflow management.
  * control: updated the versioned dependencies according to WebGUI's
    latest requirements.
  * quilt: Refreshed patches on account of obsoleted files being removed.
    Rewrote all patch headers following DEP3 guidelines.
  * Updated sample configuration file to include newer functionality.
  * init script: apply patch suggested by Petter Reinholdtsen so it
    works properly under dependency based boot sequencing (Closes: 547564). 

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Fri, 16 Oct 2009 10:09:47 -0430

webgui (7.6.35.2-1) unstable; urgency=low

  * This is the last release of the 7.6 series upstream. It really is.
    Upstream released 7.6.35.2 to fix a couple of regressions and
    an i18n bugfix that appeared in 7.6.35.1 due to a wrong SVN commit
    upstream. Sources can be downloaded from

      http://www.webgui.org/bazaar/webgui-7.6.35.2

    instead of the usual place. Since the full URL is tricky, is not
    worth the trouble adding it to watch for a single case.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Wed, 26 Aug 2009 12:06:01 -0430

webgui (7.6.35.1-2) unstable; urgency=low

  * The postinst script was attempting the automatic upgrade unconditionally,
    thus failing miserably on first time installs where there isn't any
    database nor templates to upgrade. The postinst now correctly attempts
    the automatica upgrade only on package upgrades.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Fri, 21 Aug 2009 17:21:33 -0430

webgui (7.6.35.1-1) unstable; urgency=low

  * wg-testCodebase works out of the box (finally!) thanks to a last
    minute patch sent upstream.
  * This is the last release of the 7.6 series upstream. There will
    be NO 7.6.36 ever. Upstream released 7.6.35.1 just to have the
    testCodebase patch along with a couple of i18n bugfixes. Sources
    can be downloaded from

      http://www.webgui.org/bazaar/webgui-7.6.35.1

    instead of the usual place. Since the full URL is tricky, is not
    worth the trouble adding it to watch for a single case.
  * Added a Suggest on libtest-perl-critic needed for wg-testCodebase's
    deeper test suite (coverage, documentation and style testing).
  * Added some notes in README.Debian regarding wg-testCodebase.
  * Updated README.Debian regarding automatic upgrades and minimal
    upgradeable version.
  * Made /usr/share/webgui/etc be a symlink to /etc/webgui instead of
    having separate links for each file. This allows having more than
    one WebGUI configuration or renaming the single configuration. This
    required a preinst script to handle the transition.
  * Added a patch to change some hardcoded pathnames in wg-testCodebase.
  * Refreshed all patches to a consistent format following 
    Debian Perl Group's practices.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Wed, 19 Aug 2009 16:58:34 -0430

webgui (7.6.35-1) unstable; urgency=low

  * New upstream release.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Wed, 12 Aug 2009 08:36:38 -0430

webgui (7.6.34-1) unstable; urgency=low

  * New upstream release.
  * WebGUI's Spectre daemon now has a proper PID file, therefore the
    sample spectre.conf includes the PID file location and the init
    scipt has been refreshed to cope with that.
  * Added a missing versioned Depends on lsb-base, needed for 
    init-functions in the new init script.
  * WebGUI's Search feature is based on having "anything to text"
    converters available so additional conversion programs
    to handle PDF and PostScript files where added to the sample
    configuration file. This required adding additional
    dependencies on ghostscript to have ps2ascii.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Tue, 11 Aug 2009 11:10:41 -0430

webgui (7.6.33-1) unstable; urgency=low

  * New upstream release.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Thu, 30 Jul 2009 10:48:30 -0430

webgui (7.6.32-1) unstable; urgency=low

  * New upstream release.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Sat, 25 Jul 2009 13:50:10 -0430

webgui (7.6.31-1) unstable; urgency=low

  * New upstream release.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Wed, 15 Jul 2009 09:09:26 -0430

webgui (7.6.30-1) unstable; urgency=low

  * New upstream release.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Wed, 08 Jul 2009 08:00:40 -0430

webgui (7.6.29-1) unstable; urgency=low

  * New upstream release.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Wed, 01 Jul 2009 08:48:09 -0430

webgui (7.6.28-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards Version.
  * Added a versioned dependency as suggested by lintian, since
    perl-modules 5.10 already includes libcompress-zlib-perl.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Thu, 25 Jun 2009 12:00:00 -0430

webgui (7.6.27-1) unstable; urgency=low

  * New upstream release.
  * Updated copyright notice for UKPlayer.
  * Modified postinst so /var/lib/webgui belongs to user www-data
    instead of root. This is needed for uploads, exports and cache
    to work properly.
  * Added notes in README.Debian regarding the proper way to enable
    server-side spellchecking for the Rich Editor.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Mon, 15 Jun 2009 09:41:14 -0430

webgui (7.6.25-1) unstable; urgency=low

  * New upstream release.
  * Added new dependency on libclone-perl.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Fri, 05 Jun 2009 09:54:34 -0430

webgui (7.6.24-1) unstable; urgency=low

  * New upstream release.
  * Updated Copyright file.
  * Updated to Standards Version 3.8.1.
  * Updated Quilt patches, including a header for each patch.
  * Removed unneeded dependencies on libgraphics-magick-perl,
    liblocale-us-perl and libxml-rsslite-perl.
  * Added new dependencies on libclass-c3-perl and libxml-feedpp-perl.
  * Added versioned dependency on libjs-yui.
  * Changed sample configuration file for logging through Log::Log4Perl
    in order to use ERROR instead of WARN.
  * Updated sample configuration file for WebGUI in order to accommodate
    the latest release's changed and added functionality.
  * Install examples for the collateral JavaScript libraries.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Wed, 27 May 2009 10:22:53 -0430

webgui (7.5.40.1-1) unstable; urgency=low

  * New upstream release. This is the last upstream release for the 7.5
    branch, made specifically to allow Debian packaging.
  * Updated debian/copyright.
  * Changed the provided WebGUI and Apache configuration files to use
    /webgui as the root location instead of assuming WebGUI is the only
    application installed.
  * Added the previous configurations as examples on how to have WebGUI
    as the only application handled by Apache.
  * Updated README.Debian to reflect the changes in configuration needed
    to have WebGUI in a different location. 
  * Fixed watch file to follow the webgui stable branch.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Sun, 01 Mar 2009 21:14:13 -0430

webgui (7.5.40-1) unstable; urgency=low

  * New upstream release.
  * Fixed watch file to follow 7.5 branch.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Wed, 18 Feb 2009 11:38:43 -0430

webgui (7.5.38-1) unstable; urgency=low

  * New upstream release.
  * Fixed Depends to include libjs-yui only. Both yui and libjs-yui are
    available on unstable, but the former has been deprecated. Having a
    Depends: on either caused broken symlinks on systems having yui instead
    of libjs-yui. The problem was reported by Francis Kayiwa <kayiwa@uic.edu>
    via private e-mail.
  * Changed libtest-devel-cover-perl to libdevel-cover-perl in Suggests:
    since the former package does not exist. The problem was reported by
    Edmund Lindmayer <edlin.zy@gmail.com> via private e-mail.
  * PENDING: license on www/extras/ukplayer/AC_RunActiveContent.js needs
    clarification. It's a verbatim copy of Adobe's Flash Player Detection
    Toolkit library, but there's no explicit license in Adobe's site
    either.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Thu, 08 Jan 2009 08:26:33 -0430

webgui (7.5.37-1) unstable; urgency=low

  * New upstream release.
  * Fixed fix_webgui_root.patch to correctly set up WebGUI's library path.
    The problem was reported by Jonathan Marsden <jmarsden@fastmail.fm>
    via private e-mail.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Tue, 06 Jan 2009 17:23:19 -0430

webgui (7.5.36-1) unstable; urgency=low

  * New upstream release.
  * Added missing copyright notices.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Mon, 15 Dec 2008 12:37:38 -0430

webgui (7.5.35-1) unstable; urgency=low

  * New upstream release.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Tue, 09 Dec 2008 16:03:49 -0430

webgui (7.5.34-1) unstable; urgency=low

  * New upstream release.
  * Added copyright notice for Deja Vu Sans font included in
    source package instead of the previous non-free font.
  * Fixed symlink to proper YUI location as of libjs-yui.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Fri, 21 Nov 2008 09:32:11 -0430

webgui (7.5.33-1) unstable; urgency=low

  * New upstream release.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Fri, 14 Nov 2008 08:33:31 -0430

webgui (7.5.32-1) unstable; urgency=low

  * New upstream release.
  * webgui now depends on ttf-dejavu-core in order to establish a
    symlink to a freely available font for CAPTCHA generation. 
    Upstream will start distributing the proper .ttf file in some
    future release.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Fri, 07 Nov 2008 09:28:38 -0430

webgui (7.5.31-1) unstable; urgency=low

  * New upstream release.
  * Merged versioned dependency on libio-zlib-perl with perl, as
    suggested by lintian.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Fri, 31 Oct 2008 09:26:39 -0430

webgui (7.5.30-1) unstable; urgency=low

  * New upstream release.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Tue, 28 Oct 2008 08:59:09 -0430

webgui (7.5.29-1) unstable; urgency=low

  * New upstream release.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Fri, 24 Oct 2008 11:44:38 -0430

webgui (7.5.27-1) unstable; urgency=low

  * New upstream release.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Fri, 17 Oct 2008 09:36:07 -0430

webgui (7.5.26-1) unstable; urgency=low

  * New upstream release.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Fri, 10 Oct 2008 10:58:42 -0430

webgui (7.5.25-1) unstable; urgency=low

  * New upstream release.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Tue, 07 Oct 2008 17:55:05 -0430

webgui (7.5.24-1) unstable; urgency=low

  * New upstream release.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Thu, 02 Oct 2008 17:21:21 -0430

webgui (7.5.23-1) unstable; urgency=low

  * New upstream release.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Fri, 19 Sep 2008 10:22:34 -0430

webgui (7.5.22-1) unstable; urgency=low

  * New upstream release.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Mon, 15 Sep 2008 11:25:00 -0430

webgui (7.5.21-1) unstable; urgency=low

  * New upstream release.
  * Added dependencies on the older yui package and the newer libjs-yui
    package to support Lenny and Sid installations.
  * Added versioned dependency on Text::CSV_XS as required by latest
    upstream.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Mon, 25 Aug 2008 16:31:03 -0430

webgui (7.5.20-1) unstable; urgency=low

  * New upstream release.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Thu, 14 Aug 2008 16:12:53 -0430

webgui (7.5.19-1) unstable; urgency=low

  * New upstream release.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Mon, 11 Aug 2008 09:23:50 -0430

webgui (7.5.18-1) unstable; urgency=low

  * New upstream release.
  * Change libjs-yui instead of yui, and fix symlinks accordingly.
  * Added missing dependencies on libclass-path-perl,
    libexception-class-perl and liblist-moreutils-perl.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Wed, 06 Aug 2008 16:19:20 -0430

webgui (7.5.17-1) unstable; urgency=low

  * Initial release (Closes: #471697).

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Mon, 21 Jul 2008 09:39:52 -0430
